SELF_DIR := $(abspath $(dir $(lastword $(MAKEFILE_LIST))))
REL_DIR := $(patsubst %/,%,$(dir $(lastword $(MAKEFILE_LIST))))
ifeq ($(MKDBG), 1)
$(info >>> $(REL_DIR)/component.mk)
endif

$(eval C_SOURCES += $(wildcard $(REL_DIR)/src/*.c))
$(eval COMMON_INCLUDES += -I$(REL_DIR)/inc)

ifeq ($(MKDBG), 1)
$(info <<<)
endif
